Cupti: CUpti_ActivityGraphTrace2 Struct Reference

# CUpti_ActivityGraphTrace2 Struct Reference
[CUPTI Activity API]

The activity record for trace of graph execution. More...

## Data Fields
uint32_t | contextId
uint32_t | correlationId
uint32_t | deviceId
uint64_t | end
uint32_t | endContextId
uint32_t | endDeviceId
uint32_t | graphId
CUpti_ActivityKind | kind
void * | reserved
uint64_t | start
uint32_t | streamId

## Detailed Description

This activity record represents execution for a graph without giving visibility about the execution of its nodes. This is intended to reduce overheads in tracing each node. The activity kind is CUPTI_ACTIVITY_KIND_GRAPH_TRACE

## Field Documentation

uint32_t CUpti_ActivityGraphTrace2::contextId

The ID of the context where the first node of the graph is executed.

uint32_t CUpti_ActivityGraphTrace2::correlationId

The correlation ID of the graph launch. Each graph launch is assigned a unique correlation ID that is identical to the correlation ID in the driver API activity record that launched the graph.

uint32_t CUpti_ActivityGraphTrace2::deviceId

The ID of the device where the first node of the graph is executed.

uint64_t CUpti_ActivityGraphTrace2::end

The end timestamp for the graph execution, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the graph.

uint32_t CUpti_ActivityGraphTrace2::endContextId

The ID of the context where the last node of the graph is executed.

uint32_t CUpti_ActivityGraphTrace2::endDeviceId

The ID of the device where last node of the graph is executed

uint32_t CUpti_ActivityGraphTrace2::graphId

The unique ID of the graph that is launched.

CUpti_ActivityKind CUpti_ActivityGraphTrace2::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_GRAPH_TRACE

void* CUpti_ActivityGraphTrace2::reserved

This field is reserved for internal use

uint64_t CUpti_ActivityGraphTrace2::start

The start timestamp for the graph execution, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the graph.

uint32_t CUpti_ActivityGraphTrace2::streamId

The ID of the stream where the graph is being launched.